#!/bin/bash

wget http://www.asterisk-support.de/mirror/zaptel/zaptel-1.2.3.tar.gz
wget http://www.asterisk-support.de/mirror/libpri/libpri-1.2.2.tar.gz
wget http://www.asterisk-support.de/mirror/asterisk-1.2.4/asterisk-1.2.4.tar.gz

gzip -d ./*.gz

tar -xf zaptel-1.2.3.tar
tar -xf libpri-1.2.2.tar
tar -xf asterisk-1.2.4.tar

cd zaptel-1.2.3
patch -p1 < ../patches/zaptel.patch
cd ..

cd libpri-1.2.2
patch -p1 < ../patches/libpri.patch
cd ..

cd asterisk-1.2.4
patch -p1 < ../patches/asterisk.patch
patch -p1 < ../patches/iax2-1.2.4.patch
cd ..

echo "****************************************************"
echo "         Downloading and patching finished."
echo "****************************************************"
